Files
Get list of all import batches (payments, donors, recipients)
GET
/
admin
/
import
/
batches
Get list of all import batches (payments, donors, recipients)
curl --request GET \
--url https://api.gratona.com/v1/admin/import/batches \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/admin/import/batches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/admin/import/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/import/batches",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/import/batches"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/admin/import/batches")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/import/batches")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 123,
"batch_type": "payments",
"status": "completed",
"progress": 100,
"total_rows": 1000,
"successful_rows": 950,
"failed_rows": 50,
"filename": "import.csv",
"import_type": "donors",
"program_name": "Program Name",
"created_at": "2024-01-14T10:30:00Z",
"completed_at": "2024-01-14T10:35:00Z",
"can_be_undone": true,
"total_amount": 5000,
"donation_count": 100,
"record_count": 50
}
],
"current_page": 1,
"per_page": 20,
"total": 50
}Authorizations
bearerAuthapiKeyAuth
Passport bearer token authentication for legacy admin sessions.
Query Parameters
Filter by batch type (payments, donors, recipients, relationships, participation, all)
Filter by status (pending, processing, completed, failed, undone)
Filter by program ID
Page number for pagination
Number of items per page
⌘I
Get list of all import batches (payments, donors, recipients)
curl --request GET \
--url https://api.gratona.com/v1/admin/import/batches \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/admin/import/batches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/admin/import/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/import/batches",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/import/batches"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/admin/import/batches")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/import/batches")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 123,
"batch_type": "payments",
"status": "completed",
"progress": 100,
"total_rows": 1000,
"successful_rows": 950,
"failed_rows": 50,
"filename": "import.csv",
"import_type": "donors",
"program_name": "Program Name",
"created_at": "2024-01-14T10:30:00Z",
"completed_at": "2024-01-14T10:35:00Z",
"can_be_undone": true,
"total_amount": 5000,
"donation_count": 100,
"record_count": 50
}
],
"current_page": 1,
"per_page": 20,
"total": 50
}